use barrel::{types, Migration};
use barrel::backend::Pg;
use barrel::backend::MySql;
use barrel::backend::Sqlite;

fn main() {
    let mut m = Migration::new();

    m.create_table("users", |t| {
        t.add_column("name", types::varchar(255));
        t.add_column("age", types::integer().nullable(true));
        t.add_column("owns_plushy_sharks", types::boolean().nullable(true));
    });

    println!("{}", m.make::<Pg>());
    println!("{}", m.make::<MySql>());
    println!("{}", m.make::<Sqlite>());
}

